Page MenuHome

Use aliased names for file versioning checks
Confirmed, NormalPublicTO DO

Description

System Information
Operating system: Linux-5.0.13-arch1-1-ARCH-x86_64-with-arch 64 Bits
Graphics card: GeForce GTX 1080 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 418.74

Blender Version
Broken: version: 2.80 (sub 69), branch: blender2.7, commit date: 2019-05-17 21:54, hash: rB3b8ae2c08f5c
Worked: (optional)

Short description of error
The new angle setting of the Sun light type is not saved with the blend file. It always defaults back to 11.4°.

Exact steps for others to reproduce the error

  • Add Sun lamp
  • change the angle
  • save the file and reopen it.

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to 50.

@Campbell Barton (campbellbarton), DNA_struct_elem_find as used in versioning seems to need "Lamp" rather than "Light". Can we change that? There's other old Light versioning code that assumes this.

Brecht Van Lommel (brecht) renamed this task from Change of Sun Angle is not saved. to File versioning not working in some cases due to name aliasing.May 18 2019, 12:47 PM
Brecht Van Lommel (brecht) changed the task status from Resolved to Unknown Status.
Brecht Van Lommel (brecht) raised the priority of this task from 50 to High.Jun 17 2019, 12:24 PM
Campbell Barton (campbellbarton) changed the task status from Unknown Status to Resolved.Jun 18 2019, 12:57 AM

Added function calls for aliased name lookups rB73f7ed7ffadcae3795910155d52453650d4e97a4

We still need to make use of these in versioning code though so new code that's added doesn't trip up on the same issue.

Campbell Barton (campbellbarton) changed the task status from Resolved to Unknown Status.Jun 18 2019, 12:57 AM
Campbell Barton (campbellbarton) renamed this task from File versioning not working in some cases due to name aliasing to Use aliased names for file versioning checks.Jul 1 2019, 2:04 AM
Campbell Barton (campbellbarton) lowered the priority of this task from High to Normal.
Campbell Barton (campbellbarton) edited a custom field.

Set as TODO since the internal API's to do aliased checks are done and there is no need to make this change for 2.80 release.

Setting as a 2.81 target, I think this is one of these exceptions where we can do after Bcon1. And if no one does it I can work on it, it seems rather straightforward.

@Campbell Barton (campbellbarton) can we be more specific of what is expected here? Because the original reported bug is fixed. So it is not clear to me what is left to be done.

This is marked with the 2.82 milestone. If no fix is planned for that release, please move it to 2.83 or untag it from a specific milestone.

@Campbell Barton (campbellbarton) I can still put some hours on it, if I hear from you before 2.83 (unttaged from 2.82 indeed)